unit KeeperOpts;

interface

uses ElOpts, Classes;

type

  TKeeperOpts = class(TElOptions)
  private
    FSaveKeys: Boolean;
    FShowPassword: Boolean;
    FKeepPassword: Boolean;
    FLastFile: String;
    FReopenFile: Boolean;
    FToTray: Boolean;
    procedure SetShowPassword(newValue: Boolean);
  public
    constructor Create(AOwner: TComponent); override;
  published
    property ShowPassword: Boolean read FShowPassword write SetShowPassword default False;
    property KeepPassword: Boolean read FKeepPassword write FKeepPassword;
    property LastFile: String read FLastFile write FLastFile;
    property ReopenFile: Boolean read FReopenFile write FReopenFile;
    property ToTray: Boolean read FToTray write FToTray;
    property SaveKeys: Boolean read FSaveKeys write FSaveKeys;
  end;

var Options : TKeeperOpts;

implementation

uses LogoMain;

constructor TKeeperOpts.Create(AOwner: TComponent);
begin
  FShowPassword := False;
end;

procedure TKeeperOpts.SetShowPassword(newValue: Boolean);
begin
  if (FShowPassword <> newValue) then
  begin
    FShowPassword := newValue;
    with LogoAppForm do
    begin
      ElTree.HeaderSections[4].Password := not newValue;
      ElTree.HeaderSections[3].Password := not newValue;
    end;
  end;  {if}
end;

end.


